/// Description: good model
/// Time       : 05/06/2023 Saturday
/// Author     : liuyuqi.gov@msn.cn
class GoodsListModel {
  List<GoodsModel>? result;

  GoodsListModel({result});

  GoodsListModel.fromJson(Map<String, dynamic> json) {
    if (json['result'] != null) {
      result = <GoodsModel>[];
      json['result'].forEach((v) {
        result!.add(GoodsModel.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (result != null) {
      data['result'] = result!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class GoodsModel {
  String? sId;
  String? title;
  String? pic;
  String? pid;
  String? sort;

  GoodsModel({sId, title, pic, pid, sort});

  GoodsModel.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    title = json['title'];
    pic = json['pic'];
    pid = json['pid'];
    sort = json['sort'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['_id'] = sId;
    data['title'] = title;
    data['pic'] = pic;
    data['pid'] = pid;
    data['sort'] = sort;
    return data;
  }
}
