import 'package:get/get.dart';
import 'package:get_demo/models/good_model.dart';
import 'package:dio/dio.dart';
import 'package:get_demo/routes.dart';

class HomeController extends GetxController {
  RxList<GoodsModel> goodsData = <GoodsModel>[].obs;
  RxList<GoodsModel> likeList = <GoodsModel>[].obs;

  getData() async {
    final response = await Dio().get('https://jdmall.itying.com/api/pcate');
    final goodsList = GoodsListModel.fromJson(response.data);
    goodsData.value = goodsList.result!;
  }

  toDetail(int index) {
    Get.toNamed(Routes.second, arguments: goodsData[index]);
  }

  @override
  void onInit() {
    super.onInit();
    getData();
  }

  @override
  void onClose() {}
}
