import 'package:get/get.dart';
import 'package:get_demo/models/good_model.dart';
import 'package:get_demo/pages/home/home_controller.dart';

class SecondController extends GetxController {
  GoodsModel goods = GoodsModel();

  ///获取home页面的controller
  final homeController = Get.find<HomeController>();

  ///如果home的存储收藏的likeList里的实例的sId包含了当前实例的sId，返回true
  bool isLike(GoodsModel result) {
    return homeController.likeList.any((element) => element.sId == result.sId);
  }

  ///把当前实例存储到likeList里
  addLike(GoodsModel result) {
    homeController.likeList.add(result);
  }

  ///从likeList移除当前实例
  removeLike(GoodsModel result) {
    homeController.likeList.remove(result);
  }

  @override
  void onInit() {
    super.onInit();
    ///接收第一页传过来的实例，赋值给Detail
    goods = Get.arguments;
  }

  @override
  void onClose() {}
}
